<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<beans xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee 
		http://xmlns.jcp.org/xml/ns/javaee/beans_1_1.xsd"
	bean-discovery-mode="all">
	<decorators>
		<class>com.scytl.products.ov.au.services.domain.service.validation.AuthenticationTokenValidationServiceDecorator</class>
		<class>com.scytl.products.ov.au.services.domain.service.validation.AuthenticationTokenVotingCardIdValidationDecorator</class>
		<class>com.scytl.products.ov.au.services.domain.service.validation.AuthenticationTokenSignatureValidationDecorator</class>
		<class>com.scytl.products.ov.au.services.domain.service.validation.AuthenticationTokenExpirationTimeValidationDecorator</class>
		<class>com.scytl.products.ov.au.services.domain.service.validation.AuthenticationTokenElectionEventIdValidationDecorator</class>
		<class>com.scytl.products.ov.au.services.domain.model.authentication.AuthenticationTokenFactoryDecorator</class>
		<class>com.scytl.products.ov.au.services.domain.service.validation.AuthenticationTokenTenantIdValidationDecorator</class>
		<class>com.scytl.products.ov.au.services.infrastructure.persistence.AuthenticationContentRepositoryDecorator</class>
        <class>com.scytl.products.ov.au.services.infrastructure.persistence.AuthenticationCertsRepositoryDecorator</class>
        <class>com.scytl.products.ov.au.services.infrastructure.persistence.AdminBoardRepositoryDecorator</class>
	</decorators>
</beans>
